Bug 323271 - Adding a comps file to a channel does not trigger a cache refresh.
Adding a comps file to a channel does not trigger a cache refresh.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Grant Gainey
US=16306
:
Depends On:
Blocks: 433460
  Show dependency treegraph
 
Reported: 2007-10-08 12:36 EDT by James Bowes
Modified: 2013-01-10 04:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 16:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-10-08 12:36:38 EDT
rhn-manage-comps does not update last_modified on the related channel, so the
repomd cache does not get updated, adding the new comps file.
Comment 1 Dennis Gregorovic 2007-10-08 16:09:02 EDT
Is there a workaround for this?
Comment 2 James Bowes 2007-10-08 16:12:08 EDT
(In reply to comment #1)
> Is there a workaround for this?

Modifying the channel in some other way after adding the comps file will do it
(ie adding a new package or errata). Otherwise you need to get someone to remove
the cached repomd files from disk

Comment 3 James Bowes 2008-02-26 13:03:00 EST
To test:
 * use rhn-manage-channel-internal to create a new channel
 * get the last modified date for that channel from the db:
   select last_modified from rhnchannel where label='your-new-channel';
 * Associate a comps file with the channel (the file does not need to exist):
   rhn-manage-comps --server dev --file=some/fake/file -c your-new-channel
 * Verify get last_modified from the db again, and ensure that it has been 
   updated.
Comment 4 James Bowes 2008-02-27 12:11:31 EST
requires rhn-content-mgmt-0.5.0 from brew
Comment 5 Amy Owens 2008-03-03 11:13:42 EST
AO 3/3/08- verified in dev--- it updated the last modified date on rhnchannel
Comment 6 Grant Gainey 2008-03-18 15:50:19 EDT
VERIFIED in QA as of 18-MAR

Note You need to log in before you can comment on or make changes to this bug.